kf6-breeze-icons (4:6.29.0-0ubuntu2) stonking; urgency=medium

  * Bump revision to make upload to archive happy.

 -- Rik Mills <rikmills@kde.org>  Sat, 22 Aug 2026 12:22:15 +0100

kf6-breeze-icons (4:6.29.0-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.29.0)
  * Update breaks/replaces versions for Ubuntu.
  * Keep watch file at Version 4.

 -- Rik Mills <rikmills@kde.org>  Sat, 22 Aug 2026 12:16:44 +0100

kf6-breeze-icons (4:6.28.0-3) unstable; urgency=medium

  * Team upload.
  * Rename the kf6-breeze-icon-theme package (and kf6-breeze-icon-theme-rcc)
    to breeze-icon-theme (and breeze-icon-theme-rcc): the icon theme is simply
    "breeze", and the fact that it is part of KF6 Frameworks is not relevant to
    these data-only packages
    - rename the kf6-breeze-icon-theme{,-rcc} binary packages to
      breeze-icon-theme{,-rcc}
    - add proper breaks/replaces against the old kf6 names; drop the old
      breaks/replaces, which are no more needed now
    - add kf6-breeze-icon-theme package & kf6-breeze-icon-theme-rcc as
      transitional packages
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Upgrade upstream signing key to new packet format.
  * Update the descriptions of the existing packages.
  * Bump the epoch to 4 for the whole source (and binary packages):
    - while it is not a nice option, this makes it possible for
      breeze-icon-theme{,-rcc} to actually upgrade from the old versions
      (provided by src:breeze-icons)
    - while it may be applied only to breeze-icon-theme{,-rcc}, applying it to
      the whole source makes things easier, and it's only a one-time step

 -- Pino Toscano <pino@debian.org>  Sun, 16 Aug 2026 20:06:24 +0200

kf6-breeze-icons (6.28.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Re-upload merging changes from 6.26.0-2 that were missing from the
    previous upload.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 02 Aug 2026 01:35:47 +0200

kf6-breeze-icons (6.28.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.28.0).
  * Update build-deps and deps with the info from cmake.
  * Normalize watch files for KDE Frameworks.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jul 2026 23:15:14 +0200

kf6-breeze-icons (6.26.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Make kf6-breeze-icons reproducible by ordering duplicate files by
    name, thx to Jochen Sprickerhof (Closes: #1142128).

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Jul 2026 21:00:52 +0200

kf6-breeze-icons (6.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.26.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.4, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 08 May 2026 20:23:02 +0200

kf6-breeze-icons (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:45 +0100

kf6-breeze-icons (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:07:34 +0100

kf6-breeze-icons (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Remove patches that have been applied upstream.
  * Do not remove icons for Telegram any more.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:14:04 +0200

kf6-breeze-icons (6.13.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Similar to what upstream does with commit fee5f10c, stop shipping
    non-symbolic status icons for telegram which otherwise breaks its
    icon in the system tray when not using the symbolic theme. (kde#502049)
  * Backport upstream commits:
    - Fix huge icons in some GTK apps like virt-manager. (kde#493975)
    - Correctly center 22px audio-input-microphone icon. (kde#503930)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 16 May 2025 23:49:05 +0200

kf6-breeze-icons (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:34:15 +0200

kf6-breeze-icons (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:57:24 +0100

kf6-breeze-icons (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commit, now part of the upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:20:31 +0100

kf6-breeze-icons (6.8.0-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit af789482941aea45a29a485b44631e06d1dd359f to not
    make ScalableTest::test_scalableDuplicates() fail when breeze-icon was
    configured with -DSKIP_INSTALL_ICONS=ON; patch
    upstream_tests-ignore-missing-index.theme-in-ScalableTest-tes.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Dec 2024 18:36:59 +0100

kf6-breeze-icons (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 11:57:20 +0100

kf6-breeze-icons (6.7.0-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 6.6.0-2.

 -- Pino Toscano <pino@debian.org>  Sat, 23 Nov 2024 10:05:03 +0100

kf6-breeze-icons (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:22 -0600

kf6-breeze-icons (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Drop override_dh_auto_install, as it does not do anything different than
    the default behaviour (i.e. it already installs to debian/tmp).
  * Drop the -DICONS_LIBRARY=ON cmake argument, as it does not exist.
  * Switch override_dh_install to execute_after_dh_install-indep:
    - the dh_install call used a wrong --sourcedir
    - the content actually applies only to indep builds, so the conditional for
      debian/kf6-breeze-icon-theme can be dropped
  * CI: update/simplify configuration.
  * Simplify the arch-only builds by not building/installing the icons:
    - move the fdupes, libxml2-utils, and python3-lxml build dependencies as
      Build-Depends-Indep
    - enable the cmake arguments BINARY_ICONS_RESOURCE, and WITH_ICON_GENERATION
      when building indep packages
    - enable the cmake argument SKIP_INSTALL_ICONS when not building indep
      packages
  * Drop the unused libxkbcommon-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Sat, 23 Nov 2024 09:13:03 +0100

kf6-breeze-icons (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Revert upstream commit 931fc452 which breaks folder icons in KF5
    apps. (Closes: #1079542)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 22:59:08 +0200

kf6-breeze-icons (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:21:56 +0200

kf6-breeze-icons (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.
  * Remove Provides of KF5 breeze-icon-theme and breeze-icon-theme-rcc because
    they have a different epoch and versioned dependencies won’t work.
  * Make Breaks / Replaces versioned so the dummy transitional KF5 packages
    are actually coinstallable with the KF6 versions.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 00:52:56 +0200

kf6-breeze-icons (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add Provides for the icon-themes packages.

 -- Patrick Franz <deltaone@debian.org>  Sun, 07 Jul 2024 22:38:54 +0200

kf6-breeze-icons (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:50:05 +0200

kf6-breeze-icons (6.0.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Re-enable building the icons library as suggested by upstrean.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Modernize building by using dh-sequence build-dependencies and
    dropping manually specified addons and buildsystems for dh.

 -- Patrick Franz <deltaone@debian.org>  Thu, 23 May 2024 23:55:49 +0200

kf6-breeze-icons (6.0.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable building the icons library as suggested by upstrean.
  * Update lintian-overrides.

  [ Simon Quigley ]
  * Team upload.
  * Only run override_dh_install commands if the target directory exists.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 16 May 2024 13:23:02 -0500

kf6-breeze-icons (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sun, 07 Apr 2024 00:15:47 +0200

breeze-icons (4:5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 12:47:15 +0100

breeze-icons (4:5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:25 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libkf6breezeicons6`.
